- fixes for changes in pci subsystem and power mgt. [2.6.9/2.6.10].
[packages/xorg-driver-video-nvidia.git] / xorg-driver-video-nvidia.spec
index 18a53139fc067c2be11cca96d9fdda2dc7d0dc37..21b8370c3a16a0be0b86f79f6d574c0b2e598e72 100644 (file)
@@ -9,7 +9,7 @@
 %define                _nv_ver         1.0
 %define                _nv_rel         6111
 %define                _min_x11        6.7.0
-%define                _rel            1
+%define                _rel            5
 #
 Summary:       Linux Drivers for nVidia TNT/TNT2/GeForce/Quadro Chips
 Summary(pl):   Sterowniki do kart graficznych nVidia TNT/TNT2/GeForce/Quadro
@@ -21,9 +21,15 @@ Vendor:              nVidia Corp.
 Group:         X11/XFree86
 Source0:       http://download.nvidia.com/XFree86/Linux-x86/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86-%{_nv_ver}-%{_nv_rel}-pkg1.run
 # Source0-md5: 51e83be46f83c52102ccb8995b54f4e2
+# Source0-size:        8167999
 Source1:       http://download.nvidia.com/XFree86/Linux-x86_64/%{_nv_ver}-%{_nv_rel}/NVIDIA-Linux-x86_64-%{_nv_ver}-%{_nv_rel}-pkg2.run
 # Source1-md5: 6c7b0c8b3ce5c34186e0c80042e6d046
+# Source1-size:        7333486
 Patch0:                %{name}-gcc34.patch
+Patch1:                %{name}-GL.patch
+Patch2:                %{name}-pci_x_class.patch
+Patch3:                %{name}-enable-pci.patch 
+Patch4:                %{name}-power-suspend.patch
 URL:           http://www.nvidia.com/object/linux.html
 BuildConflicts:        XFree86-nvidia
 BuildRequires: grep
@@ -166,6 +172,10 @@ rm -rf NVIDIA-Linux-x86*-%{_nv_ver}-%{_nv_rel}-pkg*
 %setup -qDT -n NVIDIA-Linux-x86_64-%{_nv_ver}-%{_nv_rel}-pkg2
 %endif
 %patch0 -p1
+%patch1 -p1
+%patch2 -p1
+%patch3 -p1
+%patch4 -p1
 sed -i 's:-Wpointer-arith::' usr/src/nv/Makefile.kbuild
 
 %build
@@ -236,7 +246,7 @@ install nvidia-smp.ko \
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%post  
+%post
 /sbin/ldconfig
 cat << EOF
 
@@ -244,8 +254,8 @@ cat << EOF
  *                                                     *
  *  NOTE:                                              *
  *  You must install:                                  *
- *  kernel-video-nvidia-%{version}-%{release}                       *
- *  for this driver to work correctly                  *
+ *  kernel(24)(-smp)-video-nvidia-%{version}             *
+ *  for this driver to work                            *
  *                                                     *
  *******************************************************
 
This page took 0.045828 seconds and 4 git commands to generate.